Package net.snowflake.client.core

## Class SecurityUtil

- java.lang.Object
- - net.snowflake.client.core.SecurityUtil

    @SnowflakeJdbcInternalApi
    public class SecurityUtil
    extends Object

### Field Summary

Fields
`static String` `BOUNCY_CASTLE_FIPS_PROVIDER` provider name for FIPS
`static String` `BOUNCY_CASTLE_PROVIDER`
`static String` `ENABLE_BOUNCYCASTLE_PROVIDER_JVM`

### Constructor Summary

Constructors
`SecurityUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addBouncyCastleProvider()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BOUNCY_CASTLE_FIPS_PROVIDER

    public static final String BOUNCY_CASTLE_FIPS_PROVIDER

provider name for FIPS

See Also:
  Constant Field Values

#### BOUNCY_CASTLE_PROVIDER

    public static final String BOUNCY_CASTLE_PROVIDER

See Also:
  Constant Field Values

#### ENABLE_BOUNCYCASTLE_PROVIDER_JVM

    public static final String ENABLE_BOUNCYCASTLE_PROVIDER_JVM

See Also:
  Constant Field Values

### Constructor Detail

#### SecurityUtil

    public SecurityUtil()

### Method Detail

#### addBouncyCastleProvider

    public static void addBouncyCastleProvider()